Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for Valkey™
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Cluster
  4. GetShard

Managed Service for Redis API, REST: Cluster.GetShard

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specified shard.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/shards/{shardName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Valkey cluster the shard belongs to.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

shardName

string

Required field. Name of Valkey shard to return.
To get the shard name use a ClusterService.ListShards request.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "isHa": "boolean"
}

Field

Description

name

string

Name of the Valkey shard. The shard name is assigned by user at creation time, and cannot be changed.
1-63 characters long.

clusterId

string

ID of the Valkey cluster the shard belongs to. The ID is assigned by MDB at creation time.

isHa

boolean

Indicates whether the shard topology is highly available as defined by the Yandex Cloud SLA for managed databases.

Was the article helpful?

Previous
UpdateHosts
Next
ListShards
© 2026 Direct Cursus Technology L.L.C.